Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2937 closed defect (fixed)

FAT race condition msdos_dir_read()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.2
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Obtain file system instance lock before member access.

Change History (4)

comment:1 Changed on 03/16/17 at 11:05:19 by Sebastian Huber

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on 03/16/17 at 14:36:40 by Sebastian Huber <sebastian.huber@…>

In [changeset:"dfd879fa426a8a3c865ffdf00558eb83eddae00a/rtems" dfd879fa/rtems]:

dosfs: Fix race condition msdos_dir_read()

Obtain file system instance lock before member access.

Update #2937.

comment:3 Changed on 03/21/17 at 15:18:36 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"89164c67bcd3572c31a4d8b256a96271dec49526/rtems" 89164c67/rtems]:

dosfs: Fix race condition msdos_dir_read()

Obtain file system instance lock before member access.

Close #2937.

comment:4 Changed on 10/10/17 at 06:50:58 by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.